## org.apache.portals.bridges.jsf
Class ServletExternalContextImpl

    java.lang.Object
      javax.faces.context.ExternalContext
          org.apache.portals.bridges.jsf.ServletExternalContextImpl

public class ServletExternalContextImpl
extends javax.faces.context.ExternalContext

Author:
  Apache MyFaces team

Field Summary
`private Map` `_applicationMap`
`private Map` `_initParameterMap`
`private boolean` `_isHttpServletRequest`
`private Map` `_requestCookieMap`
`private Map` `_requestHeaderMap`
`private Map` `_requestHeaderValuesMap`
`private Map` `_requestMap`
`private Map` `_requestParameterMap`
`private Map` `_requestParameterValuesMap`
`private String` `_requestPathInfo`
`private String` `_requestServletPath`
`private javax.servlet.ServletContext` `_servletContext`
`private javax.servlet.ServletRequest` `_servletRequest`
`private javax.servlet.ServletResponse` `_servletResponse`
`private Map` `_sessionMap`
`private static String` `INIT_PARAMETER_MAP_ATTRIBUTE`
`private static org.apache.commons.logging.Log` `log`
`private static Method` `setCharacterEncodingMethod`

Fields inherited from class javax.faces.context.ExternalContext
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`ServletExternalContextImpl(javax.servlet.ServletContext servletContext, javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse)`

Method Summary
`void` `dispatch(String requestURI)`
`String` `encodeActionURL(String s)`
`String` `encodeNamespace(String s)`
`String` `encodeResourceURL(String s)`
`Map` `getApplicationMap()`
`String` `getAuthType()`
`Object` `getContext()`
`String` `getInitParameter(String s)`
`Map` `getInitParameterMap()`
`String` `getRemoteUser()`
`Object` `getRequest()`
`String` `getRequestContextPath()`
`Map` `getRequestCookieMap()`
`Map` `getRequestHeaderMap()`
`Map` `getRequestHeaderValuesMap()`
`Locale` `getRequestLocale()`
`Iterator` `getRequestLocales()`
`Map` `getRequestMap()`
`Map` `getRequestParameterMap()`
`Iterator` `getRequestParameterNames()`
`Map` `getRequestParameterValuesMap()`
`String` `getRequestPathInfo()`
`String` `getRequestServletPath()`
`URL` `getResource(String s)`
`InputStream` `getResourceAsStream(String s)`
`Set` `getResourcePaths(String s)`
`Object` `getResponse()`
`Object` `getSession(boolean create)`
`Map` `getSessionMap()`
`Principal` `getUserPrincipal()`
`boolean` `isUserInRole(String role)`
`void` `log(String message)`
`void` `log(String message, Throwable t)`
`private String` `lookupCharacterEncoding(String contentType)`
`void` `redirect(String url)`
`void` `release()`
`void` `setResponse(Object response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### INIT_PARAMETER_MAP_ATTRIBUTE

    private static final String INIT_PARAMETER_MAP_ATTRIBUTE

### _servletContext

    private javax.servlet.ServletContext _servletContext

### _servletRequest

    private javax.servlet.ServletRequest _servletRequest

### _servletResponse

    private javax.servlet.ServletResponse _servletResponse

### _applicationMap

    private Map _applicationMap

### _sessionMap

    private Map _sessionMap

### _requestMap

    private Map _requestMap

### _requestParameterMap

    private Map _requestParameterMap

### _requestParameterValuesMap

    private Map _requestParameterValuesMap

### _requestHeaderMap

    private Map _requestHeaderMap

### _requestHeaderValuesMap

    private Map _requestHeaderValuesMap

### _requestCookieMap

    private Map _requestCookieMap

### _initParameterMap

    private Map _initParameterMap

### _isHttpServletRequest

    private boolean _isHttpServletRequest

### _requestServletPath

    private String _requestServletPath

### _requestPathInfo

    private String _requestPathInfo

### setCharacterEncodingMethod

    private static Method setCharacterEncodingMethod

Constructor Detail

### ServletExternalContextImpl

    public ServletExternalContextImpl(javax.servlet.ServletContext servletContext,
                                      javax.servlet.ServletRequest servletRequest,
                                      javax.servlet.ServletResponse servletResponse)

Method Detail

### lookupCharacterEncoding

    private String lookupCharacterEncoding(String contentType)

### release

    public void release()

### getSession

    public Object getSession(boolean create)

### getContext

    public Object getContext()

### getRequest

    public Object getRequest()

### getResponse

    public Object getResponse()

### setResponse

    public void setResponse(Object response)

### getApplicationMap

    public Map getApplicationMap()

### getSessionMap

    public Map getSessionMap()

### getRequestMap

    public Map getRequestMap()

### getRequestParameterMap

    public Map getRequestParameterMap()

### getRequestParameterValuesMap

    public Map getRequestParameterValuesMap()

### getRequestParameterNames

    public Iterator getRequestParameterNames()

### getRequestHeaderMap

    public Map getRequestHeaderMap()

### getRequestHeaderValuesMap

    public Map getRequestHeaderValuesMap()

### getRequestCookieMap

    public Map getRequestCookieMap()

### getRequestLocale

    public Locale getRequestLocale()

### getRequestPathInfo

    public String getRequestPathInfo()

### getRequestContextPath

    public String getRequestContextPath()

### getInitParameter

    public String getInitParameter(String s)

### getInitParameterMap

    public Map getInitParameterMap()

### getResourcePaths

    public Set getResourcePaths(String s)

### getResourceAsStream

    public InputStream getResourceAsStream(String s)

### encodeActionURL

    public String encodeActionURL(String s)

### encodeResourceURL

    public String encodeResourceURL(String s)

### encodeNamespace

    public String encodeNamespace(String s)

### dispatch

    public void dispatch(String requestURI)
                  throws IOException,
                         javax.faces.FacesException

  Throws:
    `IOException`
    `javax.faces.FacesException`

### getRequestServletPath

    public String getRequestServletPath()

### getAuthType

    public String getAuthType()

### getRemoteUser

    public String getRemoteUser()

### isUserInRole

    public boolean isUserInRole(String role)

### getUserPrincipal

    public Principal getUserPrincipal()

### log

    public void log(String message)

### log

    public void log(String message,
                    Throwable t)

### redirect

    public void redirect(String url)
                  throws IOException

  Throws:
    `IOException`

### getRequestLocales

    public Iterator getRequestLocales()

### getResource

    public URL getResource(String s)
                    throws MalformedURLException

  Throws:
    `MalformedURLException`

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.